package cn.cecep.talroad.mapper.effective;

import cn.cecep.talroad.domain.effective.PcNationalCityRankingHour;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.Date;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface PcNationalCityRankingHourMapper extends BaseMapper<PcNationalCityRankingHour> {
    int updateBatch(List<PcNationalCityRankingHour> list);

    int updateBatchSelective(List<PcNationalCityRankingHour> list);

    int batchInsert(@Param("list") List<PcNationalCityRankingHour> list);

    List<PcNationalCityRankingHour> selectHourRankData(@Param("lastHourDate") Date lastHourDate);

    void updateBatchIndexProvince(List<PcNationalCityRankingHour> rankList);
}
